Ubuntu

no sound with 82801H (ICH8 Family) HD Audio Controller

Reported by Yann Klis on 2007-06-27
114
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
linux-source-2.6.20 (Ubuntu)
Undecided
Unassigned
linux-source-2.6.22 (Ubuntu)
Undecided
Unassigned
linux-ubuntu-modules-2.6.22 (Ubuntu)
Medium
Unassigned

Bug Description

After installing Ubuntu Gutsy (dist-upgrade from Feisty), there's no sound coming from the speakers or the headphone. My computer is a Thinkpad T61 laptop.

yann@thinktop:~$ tail -2 /proc/asound/oss/sndstat
Mixers:
0: Analog Devices ID 1984

I will attach to this bug the informations asked on https://help.ubuntu.com/community/DebuggingSoundProblems

Yann Klis (strass) wrote :
Yann Klis (strass) wrote :
Yann Klis (strass) wrote :
Yann Klis (strass) wrote :
Yann Klis (strass) wrote :
Yann Klis (strass) wrote :
Darren Albers (dalbers) wrote :

Updating to the version of Alsa from CVS works, or the Ubuntu Devs can just backport the specific fixes from:
http://hg.alsa-project.org/alsa-kernel/rev/958b39f3e8dd
http://hg.alsa-project.org/alsa-kernel/rev/47ca87407c84
http://hg.alsa-project.org/alsa-kernel/rev/ca37aeeeb0ea

The T61 has evidently become a very popular laptop so it would be great if we could get this into Gutsy!

Darren Albers (dalbers) wrote :

I confirmed this bug and assigned it to alsa-driver which I think is the proper place for this.

Thanks!

Daniel T Chen (crimsun) wrote :

(No, not against alsa-driver, which won't be backported from gutsy. You mean linux-source-2.6.20 - feisty's kernel.)

Changed in alsa-driver:
assignee: nobody → ubuntu-audio
importance: Undecided → Wishlist
status: Confirmed → Triaged
Daniel T Chen (crimsun) wrote :

(To clarify, the above comment regarding backporting is only relevant for feisty. This bug isn't relevant yet for gutsy, since 2.6.22 hasn't released.)

Darren Albers (dalbers) wrote :

Ahh I see, well I really meant that this should be assigned to linux-source-2.6.22 as well since rc7 doesn't include these patches but I can wait until the final release of 2.6.22 in case they make it in and refile as necessary. Thanks!

I have a similar problem on my x61 running gutsy.

Currently using the script attached to get sound working on line-out and internal speakers

Darren Albers (dalbers) wrote :

Moved this to linux-source-2.6.22 since the reporter says Gutsy not Feisty.

Thanks!

Serge (serge-de-souza) wrote :

Also affects Lenovo X61 and R61 models

This does still exist in kernel 2.6.22-9

I can confirm that the 5 patches in comment 16 applied to 2.6.22-9 on x86_64 result in properly functioning sound.

Ankit Jain (luckyankit) wrote :

I can confirm too that the patches are working fine. Please include in gutsy if possible.

Henrik Nilsen Omma (henrik) wrote :

Working sound is more than Wishlist. -> Medium. Assigning to kernel team.

Changed in linux-source-2.6.22:
assignee: ubuntu-audio → ubuntu-kernel-team
importance: Wishlist → Medium
Darren Albers (dalbers) wrote :

Thank you Henrik!

Anyone willing to tell me how I can apply those patches? Thanks.

Michael R. Head (burner) wrote :

There's a workaround (running a python script in the background) in bug 133105 that works on Thinkpads (my T61P, anyway)

michelem (michele-marcucci) wrote :

I have same problem with a Dell Latitude D610 ( Multimedia audio controller: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) AC'97 Audio Controller) No sound anymore from speaker or headphones after upgrade
Please could someone attach the kernel deb package patched?

SteveSims (stevenasims) wrote :

How does one apply these patches? How does one run the python script in the background?

Please tell us <i>how</i> you did these things, not just <i>what</i> you did. Not all Linux users are programmers ;-). Thanks.

Michael R. Head (burner) wrote :

Step 1: download t61_audio_hack.py (to your Desktop)
Step 2: Press Alt-F2
Step 3: type the following into the dialog: gksudo "python Desktop/t61_audio_hack.py"
Step 4: press the "Run" button. (alternatively, check on the "Run in terminal" option if you like before pressing "Run")

For 2.6.22-10, CONFIG_SND_HDA_INTEL is not enabled at least for x86_64. After setting CONFIG_SND_HDA_INTEL=m, and applying the 5 patches in comment 16, sound works properly on my T61 (running in 64-bit).

Mario Carrion (mario-carrion) wrote :

There seems to be a regression with lastest kernel package 2.6.22-10-generic on Debian Gutsy. With version 2.6.22-9-generic after adding

options snd-hda-intel model=3stack

to /etc/modprobe.d/alsa-base sound used to work, using same configuration on 2.6.22-10 loads module but doesn't play anything.

Best regards,

Kevin DuBois (kdub) wrote :

POSSIBLE BIOS ISSUE ROOT

Ubuntu Gutsy Tribe 4. Lenovo X61 Tablet. Intel AD 1984 Audio Chipset.
Drivers Installed: ALSA CVS/Mercurial 22 Aug 2007.

After banging my head against the wall, for 6 hours straight with this issue, I reset my BIOS to factory defaults. This seemed to enable all sounds, no problems. This will not fix the issue that the patches that fix this card are not in packages, but it does allow the machine to produce sound. The audio and the modem are tied up together on the hardware side, or an IRQ may have been mis-assigned in the bios. Hope this resolves some issues

BotLobsta (kjenks) wrote :

I have a Latitude D830 with this same hardware and the latest kernel (2.6.22-10-386). I have tried the python hack and the speakers do not work, however with or without the python script running, the headphones jack works. I have not tried the patches yet.

TonyS (tony-unreal) wrote :

Confirm that this issue persists as described on my Thinkpad T61 with Gutsy Tribe 5 and subsequent updates (to date of posting).

The python script fix fixes it for me, and I've made the "fix" persistent after reboot by adding the script as a Startup Program in System | Preferences | Sessions.

Tony

No sound in Dell inspiron 1420 / Gusty tribe 5

2.6.22-10-generic

No sound in a speakers. how to fix it ?

t61_audio_hack.py hack no works :(

Thanks

Thank you very much. It works perfectly, just remember to type in your password when it prompts you to. For me, if I don't type it in time, my desktop loads but it's frozen. It's to type an incorrect password (that's shorter than my real one) so that I have more time to type the correct one.

And I didn't even have to call a Microsoft Genuine Neighborhood Expert or whatever they're called for help; the Ubuntu community is all I need. Thanks guys! :D

---------------------------------
Sick sense of humor? Visit Yahoo! TV's Comedy with an Edge to see what's on, when.

Joseph Wakeling (webdrake) wrote :

The same problem shows up on the ThinkPad R61. The Python hack "cures" it but only for internal speakers---if I plug in headphones, no sound comes through.

I note that in the Gnome sound mixer, the only elements that show up are "Master" and "PCM" (under the Output tab) and "Digital" (under the Recording tab).

Kevin DuBois (kdub) wrote :

Compiling latest alsa drivers from mercurial and ensuring bios is set to default works for my talbet x61. An odd bug this driver has though, is whenever I switch the computer to tablet mode, the sound stops working. Switching back to notebook mode and unloading/reloading the driver works.

Marius Gedminas (mgedmin) wrote :

T61, kernel 2.6.22-9: no sound out of the box.

I had working sound with ALSA compiled from the alsa-source Ubuntu package (version 1.0.14-1ubuntu1) with just three (rather than five) extra patches applied:

 - http://hg.alsa-project.org/alsa-kernel/rev/958b39f3e8dd
 - http://hg.alsa-project.org/alsa-kernel/rev/47ca87407c84
 - http://hg.alsa-project.org/alsa-kernel/rev/ca37aeeeb0ea

I got the patches from http://www.thinkwiki.org/wiki/AD1984.

Now with kernel 2.6.22-10 sound is gone again: lsmod shows that snd_hda_intel is loaded, alsamixer shows Master and PCM channels at 100%, mplayer -ao alsa thinks that it's playing, but no sound comes from the speakers or headphones. I haven't tried compiling ALSA again yet; I hoped this changelog entry from ./usr/share/doc/linux-image-2.6.22-10-generic/changelog.Debian.gz would improve matters:

   * ubuntu: Disable snd-hda-intel, in favor of lum updated version

Marius Gedminas (mgedmin) wrote :

Rebuilding ALSA works with 2.6.22-10 too.

Instructions that work for me:

  sudo apt-get install alsa-source
  cd /usr/src/
  sudo tar xvjf alsa-driver.tar.bz2
  cd modules/alsa-driver/
  sudo ./configure --with-kernel=/usr/src/linux-headers-$(uname -r) --with-cards=hda-intel --with-oss=yes
  cd alsa-kernel
  sudo patch -p1 ... # repeat with all three patches
  cd ..
  sudo make
  sudo make install

Now either reboot or reload all sound modules:

  killall mixer_applet2 && sudo modprobe -r snd-hda-intel
  sudo rmmod snd-seq-dummy snd-seq-oss snd-seq-midi snd-pcm-oss
  sudo rmmod snd-mixer-oss snd-pcm snd-hwdep snd-rawmidi snd-seq-midi-event
  sudo rmmod snd-page-alloc snd-seq
  sudo rmmod snd-timer snd-seq-device
  sudo rmmod snd
  sudo rmmod soundcore
  sudo depmod -a
  sudo modprobe snd-hda-intel

Finally, use alsamixer to unmute the headphones & internal speakers, and set
PCM volume to something louder than 0%.

Marius Gedminas (mgedmin) wrote :

I think I just understood what 'lum' means in the changelog I quoted above. snd-hda-intel.ko is now provided by linux-ubuntu-modules-2.6.22-10-generic rather than linux-image-2.6.22-10-generic. Should this bug be reassigned to linux-ubuntu-modules-2.6.22?

My sound test above was done with l-u-m-2.6.22-10-generic version 10.23 that had snd-hda-intel from hg as of 2007-08-04, according to the changelog. (Reminder: sound didn't work). I've just now upgraded to l-u-m version 10.24 that reverted to stock snd-hda-intel code (again, according to the changelog). I'll report whether sound works or not after I figure out how to clean up my self-compiled snd-hda-intel. I don't expect good results, if "stock" refers to alsa 1.0.14 -- I've used it before, it didn't work.

Marius Gedminas (mgedmin) wrote :

Sound does not work on my ThinkPad T61 with linux-ubuntu-modules-2.6.22-10-generic version 10.24. Same symptoms: alsamixer doesn't show all the channels (especially the speakers & headphones switches), applications appear to play but no sound is heard.

I've made sure I don't have self-compiled sound modules left in my /lib/modules/2.6.22-10-generic by removing that directory, reinstalling all the packages with 2.6.22-10-generic in their name, and rebooting.

Mike Richards (mrmikerich) wrote :

Attaching the patched patch_analog.c to this thread so people don't have to download and apply the three separate patches. (This is not a patch -- this is the complete patch_analog.c with all the patches applied.)

Mike Richards (mrmikerich) wrote :

Here are Marius' steps slightly modified. This should make patching the alsa source and installing the new modules fully automated -- just copy and paste these commands into a terminal:

sudo apt-get install alsa-source
cd && mkdir alsa-patched && cd alsa-patched
tar -jxvf /usr/src/alsa-driver.tar.bz2
cd modules/alsa-driver/
wget -O alsa-kernel/pci/hda/patch_analog.c http://launchpadlibrarian.net/9021234/patch_analog.c
./configure --with-cards=hda-intel && make
sudo make install
sudo cp ./modules/snd-hda-intel.ko /lib/modules/$( uname -r )/ubuntu/media/snd-hda-intel/
sudo depmod -a

(T61 users should also see the Gutsy/T61 page on Thinkwiki.org. Lots of good info there.)

Tim Gardner (timg-tpi) on 2007-08-28
Changed in linux-ubuntu-modules-2.6.22:
assignee: nobody → timg-tpi
importance: Undecided → Medium
status: New → In Progress
Tim Gardner (timg-tpi) on 2007-08-28
Changed in linux-ubuntu-modules-2.6.22:
status: In Progress → Fix Committed
Tim Gardner (timg-tpi) on 2007-08-30
Changed in linux-ubuntu-modules-2.6.22:
assignee: timg-tpi → nobody
status: Fix Committed → Fix Released
Changed in linux-source-2.6.22:
status: New → Invalid
Changed in linux-source-2.6.20:
status: New → Won't Fix
21 comments hidden view all 101 comments
SteveSims (stevenasims) wrote :

For some reason, the update turned my speakers off.

To turn yours on:

1. Right click on the speaker icon in the upper-righthand part of the application bar, and select Open Volume Control.
2. Go to Switches, and check the box next to Speakers to turn them on.

I didn't finish the ALSA update by the way (see above posts), and the audio hack is off. My guess is Canonical included a fix in today's update :D.

Christoph Lechleitner (lech) wrote :

I don't think the Tribe 5 CD can contain Tim's new packages which seems to work for most of us. (Yet one has to unmute the channels manually)
Have you installed the updates form the net archives?

moresun (markus-bader) wrote :

I had a similar problem on my Dell Precision M4300 (one month old).
After installing kubuntu Gutsy Tribe 5 - Released August 23rd, 2007 I had no sound at all

#lspic |grep Audio
showed me
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

So I used Mikes description (see aboth: Mike Richards wrote on 2007-08-28: (permalink) ) and the sound card worked, but ... now the problem.
The speakers are always on even if I my headset is plugged in. (For some its a feature for me a problem) but does somebody knows a solution for that?

I tried different settings on my KMix and on the AlsaMixer but without success.

Has somebody an idea

Mary Gardiner (puzzlement) wrote :

Do people still find that Tim's fix works with linux-ubuntu-modules 2.6.22-11.28? I'm trying to figure out if bug 131133 is the same/related. (2.6.22-11.28 does not make sound work on a Dell Latitude D630.)

Marius Gedminas (mgedmin) wrote :

Mary: it works on my T61 with l-u-m 2.6.22-11.28.

Mary Gardiner (puzzlement) wrote :

Thanks Marius, in that case bug 131133 is at least somewhat different.

moresun (markus-bader) wrote :

My headset works now properly on my Dell Precision M4300

Kubuntu: 2.6.22-14-generi
Soundcard: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I used therefore the last alsa driver ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15rc3.tar.bz2

cd /tmp
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15rc3.tar.bz2
tar -jxvf alsa-driver-1.0.15rc3.tar.bz2
cd alsa-driver-1.0.15rc3/
./configure --with-cards=hda-intel && make
sudo make install
sudo cp ./modules/snd-hda-intel.ko /lib/modules/$( uname -r )/ubuntu/media/snd-hda-intel/
sudo depmod -a
sudo reboot

Nomaly the sound is on mute so turn it on afterwords

LG
Max

Jonathan Jesse (jjesse) wrote :

Max,

That worked great for my laptop as well, thanks for posting this. Is this a newer driver then what is currently in Ubuntu? If so can we get an freeze exception on this?

Jonathan

Jonathan Jesse (jjesse) wrote :

The package in Gutsy is 1.0.14-1ubuntu2

So asking Ubuntu-Devel if there is something we can do?

moresun (markus-bader) wrote :

Jonathan Jesse

Is it possible to post the brand of your laptop, soundcard and the kernel version.
It would be nice to know on which other laptops the driver works.

Max

Jonathan Jesse (jjesse) wrote :

Max,

I am running a Dell Latitude D820 with whatever is the current Gutsy Kernel
jjesse@jjesse-laptop03:~$ uname -r
2.6.22-14-generic

jjesse@jjesse-laptop03:~$ lspci -v | grep Intel
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c) (prog-if 00 [Normal decode])
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 02) (prog-if 00 [UHCI])
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02) (prog-if 00 [UHCI])
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02) (prog-if 20 [EHCI])
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02) (prog-if 00 [Normal decode])
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02) (prog-if 00 [Normal decode])
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02) (prog-if 00 [Normal decode])
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02) (prog-if 00 [Normal decode])
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02) (prog-if 00 [UHCI])
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02) (prog-if 00 [UHCI])
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02) (prog-if 00 [UHCI])
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02) (prog-if 20 [EHCI])
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2) (prog-if 01 [Subtractive decode])
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02) (prog-if 8a [Master SecP PriP])
00:1f.2 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller (rev 02) (prog-if 8f [Master SecP SecO PriP PriO])
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network Connection (rev 02)
        Subsystem: Intel Corporation Unknown device 1020

Works for me too on my Acer Extensa 5220, on up-to-date gutsy. The max volume on the earphone is not very high and the volume shortcut now works for the earphones and not the front speaker - but it's ok

 lspci -v | grep -i intel
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) (prog-if 00 [VGA])
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03) (prog-if 00 [UHCI])
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03) (prog-if 00 [UHCI])
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03) (prog-if 20 [EHCI])
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03) (prog-if 00 [Normal decode])
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03) (prog-if 00 [Normal decode])
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03) (prog-if 00 [Normal decode])
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03) (prog-if 00 [UHCI])
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03) (prog-if 00 [UHCI])
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03) (prog-if 00 [UHCI])
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03) (prog-if 20 [EHCI])
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if 01 [Subtractive decode])
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03) (prog-if 8a [Master SecP PriP])
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)

Ethan Arnold (ethan-arnold) wrote :

I'm sorry, I tried the hint in comment +41 (https://bugs.launchpad.net/ubuntu/+bug/122560/comments/41) but didnt check my installed kernel version before.
The dpkg (line 2) quit and now my database seems corrupt, and nothing seems to be able to fix it. dpkg -d won't uninstall it, and Synaptic also reports that it's broken and tries to remove it, but always dpkg causes an error (1).

$ sudo dpkg -C
The following packages are only half installed, due to problems during
installation. The installation can probably be completed by retrying it;
the packages can be removed using dselect or dpkg --remove:
 linux-ubuntu-modules-2.6.22-10-generic Ubuntu supplied Linux modules for versi

$ sudo dpkg -r linux-ubuntu-modules-2.6.22-10-generic_2.6.22-10.24_i386.deb-122560.1
dpkg - warning: ignoring request to remove linux-ubuntu-modules-2.6.22-10-generic_2.6.22-10.24_i386.deb-122560.1 which isn't installed.

$ sudo apt-get upgrade
[...]
Removing linux-ubuntu-modules-2.6.22-10-generic ...
FATAL: Could not open '/boot/System.map-2.6.22-10-generic': No such file or directory
update-initramfs: Generating /boot/initrd.img-2.6.22-10-generic
Cannot find /lib/modules/2.6.22-10-generic
update-initramfs: failed for /boot/initrd.img-2.6.22-10-generic
dpkg: error processing linux-ubuntu-modules-2.6.22-10-generic (--remove):
 subprocess post-removal script returned error exit status 1
Errors were encountered while processing:
 linux-ubuntu-modules-2.6.22-10-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

How can I fix this issue without completely reinstalling?

Ethan Arnold (ethan-arnold) wrote :

Update: I finally resolved it, I'm not sure exactly how, but some of the things I did were:

sudo dpkg-reconfigure synaptic
sudo dpkg-reconfigure update-manager
sudo apt-get update
sudo apt-get dist-upgrade
sudo dpkg -C
sudo apt-get install -f

and finally it worked (I had done the "dpkg -C" and "apt-get install -f" many times before, with no success, this time they worked.

Ethan Arnold (ethan-arnold) wrote :

And now using Max's directions from Comment 68, I got my sound working as well :-) thanks very much Max!

My Notebook is a "Smartbook Sniper" (www.smartbook.de) and I had the Ubuntu 7.10 Gutsy CD installed (Kernel 2.6.22-14-generic), had done no changes yet (fresh install).
I hope the new Alsa drivers will soon find their way into the distribution, to save many more people the headaches :-)

moresun (markus-bader) wrote :

The alsa driver are now released in verion 1.0.15
This is a copy of my post (moresun wrote on 2007-10-13) with the changes needed to use the released driver

My headset works now properly on my Dell Precision M4300

Kubuntu 7.10
Kernel: 2.6.22-14-generic
Soundcard: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I used therefore the last alsa driver ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15.tar.bz2

cd /tmp
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15.tar.bz2
tar -jxvf alsa-driver-1.0.15.tar.bz2
cd alsa-driver-1.0.15/
./configure --with-cards=hda-intel && make
sudo make install
sudo cp ./modules/snd-hda-intel.ko /lib/modules/$( uname -r )/ubuntu/media/snd-hda-intel/
sudo depmod -a
sudo reboot

Nomaly the sound is on mute so turn it on afterwords

LG
Max

PS.: But still I got the feeling that the mixer is acting a little strange

Hi Moresun,

I got an error message
"checking for C compiler default output file name... configure: error: C compiler cannot create executables"

I'm a newbie to Linux/Ubuntu, but could this be a problem with C not being able to find the necessary files?

Found the solution for that problem here:
http://pomocnik.com/users/dan/2005/10/checking-for-c-compiler-default-output-file-name-configure-error-c-compiler-cannot-create-executables/

But came across a new problem:
"make dep
make[1]: Entering directory `/home/frederik/Desktop/alsa-driver-1.0.15'
make[2]: Entering directory `/home/frederik/Desktop/alsa-driver-1.0.15/acore'
copying file alsa-kernel/core/info.c
/home/frederik/Desktop/alsa-driver-1.0.15/utils/patch-alsa: 24: patch: not found
make[2]: *** [info.c] Error 1
make[2]: Leaving directory `/home/frederik/Desktop/alsa-driver-1.0.15/acore'
make[1]: *** [dep] Error 1
make[1]: Leaving directory `/home/frederik/Desktop/alsa-driver-1.0.15'
make: *** [include/sndversions.h] Error 2"
???

onime (nickald) wrote :

My headset works now properly on my Dell Precision M4300

Kubuntu: 2.6.22-14-generi
Soundcard: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I used therefore the last alsa driver ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15rc3.tar.bz2

cd /tmp
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.15rc3.tar.bz2
tar -jxvf alsa-driver-1.0.15rc3.tar.bz2
cd alsa-driver-1.0.15rc3/
./configure --with-cards=hda-intel && make
sudo make install
sudo cp ./modules/snd-hda-intel.ko /lib/modules/$( uname -r )/ubuntu/media/snd-hda-intel/
sudo depmod -a
sudo reboot

This worked on my Hp pavillion Dv9000 series
Thanx a lot man

macaia (francesco-cardi) wrote :

Hello,

I have a HP Pavilion dv9500, with sound card Intel Corporation 82801H (ICH8 Family) HD Audio Controller

Trying for ./configure --with-cards=hda-intel && make I'v got this:

root@fracardi-laptop:/tmp/alsa-driver-1.0.15# ./configure --with-cards=hda-intel && make
checking for gcc... gcc
checking for C compiler default output file name... configure: error: C compiler cannot create executables
See `config.log' for more details.
root@fracardi-laptop:/tmp/alsa-driver-1.0.15#

Can someone help me out? I am a very unexperienced Linux user :-(

Thanks,
Francesco

macaia (francesco-cardi) wrote :

Ok, done this

sudo apt-get install build-essential

and then the c compilation worked and then the audio works perfectly! Fantastic!

Francesco

seek (yatkin) wrote :

Hi,

it did not work for me moresun!
I am on a x86_64 system with Kubuntu 7.10
Kernel: 2.6.22-14-generic
Soundcard: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Please help!

Thanx!

1 comments hidden view all 101 comments
Alvin (alvind) wrote :

Wasn't this bug fixed? It is working fine here without having to compile packages.

2.6.22-14 x86_64
Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)

seek (yatkin) wrote :

and how did you fix the bug?

moresun (markus-bader) wrote :

Hi Alvin
Is nice if it works on your computer but please let us know whitch hardware (laptop, brand and model) you aer using.

Alvin (alvind) wrote :

I didn't. I did not have sound when I first tried the Gutsy beta and had to use the t61_audio_hack.py hack from one of the earlier comments. During the development process of Gutsy, support for the 82801H was added and sound worked as it should be. (The buttons do not, but that is #bug 118723 .)
Why would this bug be labelled as "Fix released" if it wasn't working?

I have a Lenovo Thinkpad t61p.

decaren (adam-ayd) wrote :

Works (kinda) on my Acer Extensa 4620-4605. You have to switch between devices in the Alsa mixer to control the headphones and the onboards separately. Headphones are really low and that's the only reason I say kinda. Using Sony 7506s so not cheap set either. Just a side note, I just bought the laptop on Thursday, started with SuSE 10.3 on a dual boot with Vista. Used it all weekend till last night when I got fed up with trying to get fixes for SuSE to get the "new" hardware in this thing recognized. Installed Ubuntu Studio last night (Monday) and have been flying ever since. With the exception of my headphones and my Wifi not working, everything came right up. Quick fix on the wifi and took a little digging, but found a fix here for the headphones. Thanks guys, keep the linux revolution rolling. Now running 4 linux desktops (2 Ubuntu Servers, 1 Kubuntu, 1 Ubuntu Studio) and 2 linux desktops (1 Ubuntu Studio, 1 Xubuntu). No windows in my house, I didn't like to look outside anyway :)

Stuart Rossiter (stuartr) wrote :

Just in case it's useful for anyone else, note that I had this problem (on a desktop Dell Optiplex 745) after upgrade to 7.10.

Looks like (at least for me), it *was* fixed in the 2.6.22 kernel, but the problem in the forum entry below stopped it working:
http://ubuntuforums.org/showthread.php?t=571878

The snd_hda_intel kernel module didn't exist: installed linux-ubuntu-modules-`uname-r` package and rebooted - all sound magically restored.

Using Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02) soundcard (as from lspci).

Cheers,
Stuart

nathan (nonstop-gmail) wrote :

Oh, Tim Gardner, I think I love you.

Completely fixed my sound card problem (on an Inspiron 1520) with your gusty l u m something or other thing ( https://bugs.launchpad.net/ubuntu/+bug/122560/comments/41 )

Sorry, I have no idea what I'm doing here.

Now to find all of the random tars and bz2 things from previous failed attempts.

Scared me though, when I rebooted and the start up sound came blasting through the speakers.

Thanks again,
Nathan.

cmnorton (octopusgrabbus) wrote :

While trying to download the solution posted here:

https://bugs.launchpad.net/ubuntu/+bug/122560/comments/41

I got a failure to install, and now I cannot clean up. I would love a suggestion on how to get out of this.
tnx
cmn

sudo apt-get install -f
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  linux-ubuntu-modules-2.6.22-10-generic
0 upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 0B of archives.
After unpacking 8405kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 96753 files and directories currently installed.)
Removing linux-ubuntu-modules-2.6.22-10-generic ...
FATAL: Could not open '/boot/System.map-2.6.22-10-generic': No such file or directory
update-initramfs: Generating /boot/initrd.img-2.6.22-10-generic
Cannot find /lib/modules/2.6.22-10-generic
update-initramfs: failed for /boot/initrd.img-2.6.22-10-generic
dpkg: error processing linux-ubuntu-modules-2.6.22-10-generic (--remove):
 subprocess post-removal script returned error exit status 1
Errors were encountered while processing:
 linux-ubuntu-modules-2.6.22-10-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)

cmnorton (octopusgrabbus) wrote :

I got out of this problem -- so I think -- by removing the linux-ubuntu-modules-2.6.22-10-generic from /var/lib/dpkg/status.

cmnorton (octopusgrabbus) wrote :

For my T61p, what do I need to download to fix my sound problem?

Mario Carrion (mario-carrion) wrote :

I've fixed the sound problem on my Dell Inspiron 1420 running Hardy and adding the following to /etc/modprobe.d/alsa-base:

options snd-hda-intel model=dell-m26

cmnorton (octopusgrabbus) wrote :

Mario Carrion's comment was an insipration. I took a guess and added this to /etc/modprobe.d/alsa-base

options snd-hda-intel model=thinkpad-t61p

at the very end of the file.

I've fixed the sound problem on my Asus F3SG-AP062 by adding a similar line to /etc/modprobe.d/alsa-base

options snd-hda-intel model=lenovo

at the end of the file.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Mark Driediger (mld53) on 2009-12-30
Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Fix Released → Fix Committed
Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
Saldanha (saldanha99) on 2010-04-23
Changed in ubuntu:
status: Fix Released → Fix Committed
Jeremy Foshee (jeremyfoshee) wrote :

please do not arbitrarily change the status of old bugs without an explanation. This bug is Fixed and the fix has been released into the kernel as appropriate.

Thanks!

~JFo

Changed in ubuntu:
status: Fix Committed → Fix Released
Thomas Hotz (thotz) wrote :

I close the old bug because kernel-2.6.22 has reached EOL.

Changed in linux-ubuntu-modules-2.6.22 (Ubuntu):
status: Fix Committed → Incomplete
status: Incomplete → Invalid
Thomas Hotz (thotz) wrote :

Is it now fixed and working in kernels in Ubuntu 10.04 LTS, Ubuntu 11.10 and Ubuntu 12.04 LTS.

affects: ubuntu → linux (Ubuntu)
Displaying first 40 and last 40 comments. View all 101 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers